package com.yonge.cooleshow.auth.service;

import java.util.List;

import com.yonge.cooleshow.auth.api.entity.SysUserRole;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysUserRoleService extends BaseService<Long, SysUserRole> {

	/**
	 * 查询指定用户具有的角色编号
	 * @param userId 用户编号
	 * @return
	 */
	List<Long> queryRoleIdListByUserId(Long userId);

	/**
	 * 查询指定用户的角色编码
	 * @param userId
	 * @return
	 */
	List<String> queryRoleCodeListByUserId(Long userId);
	/**
	 * 新增用户角色(批量)
	 * @param userId
	 * @param roleIds
	 * @return
	 */
	boolean batchInsert(Long userId, String roleIds);

	/**
	 * 删除用户角色(批量)
	 * @param userId
	 * @param roleIds
	 * @return
	 */
	boolean batchDel(Long userId, String roleIds);
}